# $Revision: 1.61 $, $Date: 2012/02/10 10:32:18 $
Summary:	Converts .fig files (such as those from xfig) to other formats
Summary(de.UTF-8):	Konvertiert .fig-Dateien (z.B. aus xfig) in andere Formate
Summary(es.UTF-8):	Convierte archivos .fig (como los del xfig) para otros formatos
Summary(fr.UTF-8):	Convertit les fichiers .fig (comme ceux d'xfig) en d'autres formats
Summary(pl.UTF-8):	Konwerter plików w formacie .fig (jakie generuje xfig) do innych formatów
Summary(pt_BR.UTF-8):	Converte arquivos .fig (como os do xfig) para outros formatos
Summary(ru.UTF-8):	Конвертор файлов .fig (формат программы xfig) в другие форматы
Summary(tr.UTF-8):	fig dosyalarını başka biçimlere dönüştürür
Summary(uk.UTF-8):	Конвертор файлів .fig (формат програми xfig) в інші формати
Name:		transfig
Version:	3.2.5d
Release:	1
Epoch:		1
License:	distributable
Group:		X11/Applications/Graphics
#Source0Download: http://xfig.org/art15.html
# Source0:	http://xfig.org/software/xfig/%{version}/%{name}.%{version}.tar.gz
Source0:	http://downloads.sourceforge.net/mcj/%{name}.%{version}.tar.gz
# Source0-md5:	f9eac7f265668ecbfda6aaf7581989ad
Patch0:		%{name}-config.patch
Patch1:		%{name}-broken.patch
Patch2:		%{name}-3.2.5c-maxfontsize.patch
Patch3:		%{name}-3.2.5d-precision.patch
Patch4:		%{name}-3.2.5d-MAXWIDTH.patch
Patch5:		%{name}-3.2.5d-libpng-1.5.patch
Patch6:		%{name}-3.2.5d-leadspace.patch
URL:		http://xfig.org/
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	rman
BuildRequires:	xorg-cf-files
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-util-gccmakedep
BuildRequires:	xorg-util-imake
Requires:	fonts-Type1-urw
Requires:	ghostscript
Conflicts:	netpbm-progs < 9.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TransFig is a set of tools for creating TeX documents with graphics
which are portable, in the sense that they can be printed in a wide
variety of environments.

%description -l de.UTF-8
TransFig ist ein Satz von Tools zum Erstellen von TeX-Dokumenten mit
Grafiken, die portabel sind, das heißt, sie können in einer großen
Auswahl von Umgebungen gedruckt werden.

%description -l es.UTF-8
TransFig es un conjunto de herramientas para creación de documentos
TeX con gráficos que son portables, en el sentido de que pueden ser
impresos en una gran variedad de ambientes.

%description -l fr.UTF-8
Transfig est un ensemble d'outils pour créer des documents textes avec
des graphiques portables, en ce sens qu'ils peuvent être imprimés dans
des nombreux environnements.

%description -l pl.UTF-8
Pakiet TransFig jest zbiorem narzędzi do tworzenia dokumentów TeXowych
z grafiką, które będą przenośne w tym sensie, że będzie można je
wydrukować na szerokiej palecie drukarek.

%description -l pt_BR.UTF-8
TransFig é um conjunto de ferramentas para criação de documentos TeX
com gráficos que são portáveis, no sentido de que eles podem ser
impressos em uma grande variedade de ambientes.

%description -l ru.UTF-8
Утилита transfig создает makefile, транслирующий рисунки FIG
(созданные программой xfig) или PIC в заданный графический язык
системы LaTeX (например, PostScript(TM)). Transfig используется для
создания документов TeX, являющихся портабельными (то есть, они могут
быть напечатаны на различных платформах).

%description -l tr.UTF-8
TransFig, çizimler içeren TeX belgeleri üretebilmek için kullanılan
bir araç kümesidir ve çeşitli ortamlarda çıktısı alınabilecek dosyalar
yaratır.

%description -l uk.UTF-8
Утиліта transfig створює makefile, який транслює малюнки FIG (створені
програмою xfig) чи PIC у задану графічну мову системи LaTeX
(наприклад, PostScript(TM)). Transfig використовується для створення
TeX документів, які є портабельними (тобто, можуть бути надруковані на
різноманітних платформах).

%prep
%setup -q -n %{name}.%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
xmkmf -a

%{__make} \
%ifarch alpha
	EXTRA_DEFINES="-Dcfree=free" \
%endif
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	DOCDIR=%{_docdir} \
	LOCAL_LDFLAGS="%{rpmldflags}" \
	BINDIR=%{_bindir} \
	MANPATH=%{_mandir} \
	XFIGLIBDIR=%{_datadir}/xfig \
	FIG2DEV_LIBDIR=%{_datadir}/fig2dev

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir} \
	DOCDIR=%{_docdir} \
	MANPATH=%{_mandir} \
	XFIGLIBDIR=%{_datadir}/xfig \
	FIG2DEV_LIBDIR=%{_datadir}/fig2dev

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES NOTES README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/xfig
%dir %{_datadir}/fig2dev
# other latin-2 files are symlinks to cs_CZ.ps
%lang(cs,hr,hu,pl,ro,sk,sl) %{_datadir}/fig2dev/cs*.ps
%lang(hr) %{_datadir}/fig2dev/hr*.ps
%lang(hu) %{_datadir}/fig2dev/hu*.ps
%lang(ja) %{_datadir}/fig2dev/ja*.ps
%lang(ko) %{_datadir}/fig2dev/ko*.ps
%lang(pl) %{_datadir}/fig2dev/pl*.ps
%lang(ro) %{_datadir}/fig2dev/ro*.ps
%lang(sk) %{_datadir}/fig2dev/sk*.ps
%lang(sl) %{_datadir}/fig2dev/sl*.ps
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: transfig.spec,v $
Revision 1.61  2012/02/10 10:32:18  arekm
- up to 3.2.5d + gentoo patches

Revision 1.60  2012/02/07 22:08:00  arekm
- release 5

Revision 1.59  2011/12/20 19:35:17  arekm
- release 4

Revision 1.58  2010/01/28 20:43:28  arekm
- release 3

Revision 1.57  2009/12/03 22:39:58  sparky
- BR: xorg-lib-libXpm-devel

Revision 1.56  2008/07/27 23:03:08  arekm
- release 2

Revision 1.55  2008-05-06 19:09:57  qboosh
- updated to 3.2.5 final

Revision 1.54  2008-05-06 18:26:09  qboosh
- added URL (just xfig.org) and download URL

Revision 1.53  2007-12-26 01:07:43  qboosh
- updated R sorting

Revision 1.52  2007-11-14 09:43:15  arekm
s/ghostscript-fonts-std/fonts-Type1-urw/

Revision 1.51  2007-02-12 22:09:18  glen
- tabs in preamble

Revision 1.50  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.49  2006/10/27 22:52:31  qboosh
- updated to 3.2.5_alpha7 (following xfig update to 3.2.5-alpha*)
- removed obsolete gcc33,strerror,rgb patches, updated the rest

Revision 1.48  2006/02/20 22:40:30  freetz
- rel.4

Revision 1.47  2006/02/20 22:34:55  freetz
- x.org'ized, added fixes from fedora

Revision 1.46  2004/07/06 13:39:10  qboosh
- pl fix

Revision 1.45  2004/07/06 10:21:11  qboosh
- R: ghostscript, ghostscript-fonts-std, optionally netpbm-progs 9.1

Revision 1.44  2004/03/01 22:50:44  freetz
- build fixed, rel.3

Revision 1.43  2003/07/13 21:05:17  areq
- add transfig-broken.patch  transfig-gcc33.patch  transfig-strerror.patch

Revision 1.42  2003/05/28 13:02:20  malekith
- massive attack: source-md5

Revision 1.41  2003/05/25 06:27:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2003/03/25 22:22:08  kloczek
- merge translations from KSI and Conectiva.

Revision 1.39  2003/03/25 01:48:26  qboosh
- updated to 3.2.4, updated config patch
- anti_latin1 patch seems obsolete
- more *.ps for latin2-based locales, fixed broken pl_PL symlink
- it should have the same prefix as xfig which is in /usr/X11R6, so use X11R6
- needs testing

Revision 1.38  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.37  2002/07/27 22:18:29  kloczek
- use new %doc.

Revision 1.36  2002/07/05 12:15:53  zagrodzki
- added polish filter for PS (symlink to cs_CZ.ps)

Revision 1.35  2002/04/27 18:27:59  qboosh
- BR: libpng-devel, added libpng 1.2.2 support
- release 4

Revision 1.34  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.31  2001/07/23 22:22:19  kloczek
- release 3: remove (not used) gdbm-devel from BuildRequires list.

Revision 1.30  2001/06/25 07:46:04  kloczek
- bump release to 2.

Revision 1.29  2001/06/16 19:51:25  kloczek
- typos.

Revision 1.28  2001/06/16 19:43:49  kloczek
- Epoch: 1.

Revision 1.27  2001/06/16 19:42:46  kloczek
- updated to 3.2.3d,
- removed obsoleted i18n patchand updated config patch,
- updated %files list.

Revision 1.26  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.25  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.24  2001/02/06 16:23:11  klakier
- added anti_latin1 patch to avoid translating non-ascii chars for tex output

Revision 1.23  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.22  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.21  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.20  2000/09/29 08:33:05  kloczek
- cosmetics.

Revision 1.19  2000/09/29 08:00:18  kloczek
- updated to 3.2.3c,
- adapterized, use rpm new automation suit,
- added i18n (from RH) anf config patch (fixes paths and install target),
- added missing bitmaps to package,
- make spec %%{debug} ready.

Revision 1.18  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.15  2000/03/09 20:16:22  kloczek
- cosmetics.

Revision 1.14  2000/03/07 22:22:32  mkochano
- Manual pages /usr/X11R6/share/man -> /usr/X11R6/man.

Revision 1.13  2000/03/07 22:05:14  mkochano
- Updated to 3.2.3

Revision 1.12  1999/07/27 23:00:13  kloczek
- fix listt stipped files.

Revision 1.11  1999/07/27 22:51:35  kloczek
- release 5,
- added stripping binaries.

Revision 1.10  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

